# Interface State

基本属性字段

interface State {
config?: unknown;
enabled: boolean;
visible?: boolean;
}

#### Hierarchy (View Summary)

- State
  - ItemMaskPluginType.State
  - OrientationPluginType.State
  - PluginTemplateType.State
  - PanoAnimePluginType.State
  - DynamicPathLinePluginType.State
  - CSS3DPluginType.State
  - CSS2DPluginType.State
  - GaussianSplattingEntranceAnimationPluginType.State

- Defined in lib/plugins/BasePlugin/index.ts:8

##### Index

### Properties

config?
enabled
visible?

## Properties

### `Optional` config

config?: unknown

插件的配置项

- Defined in lib/plugins/BasePlugin/index.ts:22

### enabled

enabled: boolean

插件是否启用

- Defined in lib/plugins/BasePlugin/index.ts:12

### `Optional` visible

visible?: boolean

插件UI是否展示

- Defined in lib/plugins/BasePlugin/index.ts:17